Bug 1462164 - (CVE-2017-1000376) CVE-2017-1000376 libffi: Requests an executable stack
CVE-2017-1000376 libffi: Requests an executable stack
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 1462830 1462831 1462832
Blocks: 1449010 1463201
  Show dependency treegraph
Reported: 2017-06-16 06:50 EDT by Andrej Nemec
Modified: 2017-07-03 06:34 EDT (History)
27 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-07-03 06:34:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-06-16 06:50:28 EDT
libffi requests an executable stack allowing attackers to more easily trigger arbitrary code execution by overwriting the stack. Please note that libffi is used by a number of other libraries.

Upstream patch:

Comment 1 Andrej Nemec 2017-06-16 06:50:40 EDT

Name: Qualys Inc
Comment 2 Andrej Nemec 2017-06-16 06:51:28 EDT
External References:

Comment 3 Petr Matousek 2017-06-19 12:08:24 EDT
Created libffi tracking bugs for this issue:

Affects: fedora-all [bug 1462832]

Created mingw-libffi tracking bugs for this issue:

Affects: epel-7 [bug 1462830]
Affects: fedora-all [bug 1462831]

Note You need to log in before you can comment on or make changes to this bug.